+2011-09-02 Stefano Lattarini <stefano.lattarini@gmail.com>
+
+ coverage: vala support failing for VPATH from-scratch builds
+ * tests/vala-vpath.test: New test, xfailing.
+ * tests/Makefile.am (TESTS): Update.
+ * THANKS: Update.
+ From a report by Zbigniew Jędrzejewski-Szmek.
+ Related to automake bug#8753.
+
2011-09-01 Stefano Lattarini <stefano.lattarini@gmail.com>
docs: report few more automake parsing limitations
Yann Droneaud ydroneaud@meuh.eu.org
Younes Younes younes@cs.tu-berlin.de
Zack Weinberg zack@codesourcery.com
+Zbigniew Jędrzejewski-Szmek zbyszek@in.waw.pl
Zoltan Rado z.rado@chello.hu
;; Local Variables:
--- /dev/null
+#! /bin/sh
+# Copyright (C) 2011 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Test to make sure vala support handles from-scratch VPATH builds.
+# See automake bug#8753.
+
+required="valac"
+. ./defs || Exit 1
+
+set -e
+
+mkdir src
+
+cat >> configure.in << 'END'
+AC_CONFIG_SRCDIR([hello.vala])
+AC_PROG_CC
+AM_PROG_VALAC([0.7])
+AC_OUTPUT
+END
+
+
+cat > Makefile.am <<'END'
+bin_PROGRAMS = foo
+foo_SOURCES = hello.vala
+END
+
+cat > hello.vala <<'END'
+void main ()
+{
+ stdout.printf ("foo\n");
+ return 0;
+}
+END
+
+$ACLOCAL || framework_failure_ "aclocal error"
+$AUTOCONF || framework_failure_ "autoconf error"
+$AUTOMAKE || framework_failure_ "automake error"
+
+mkdir build
+cd build
+../configure || Exit 77
+$MAKE
+$MAKE distcheck
+
+: